<bugID>354005<Summary>Setting the app as the OS default is broken on Vista</Summary><Description>I modified nsWindowsShellService.cpp so it supports setting the app as the default and all registry values are properly set but the OS displays a dialog stating that the app is hung / must be closed. I suspect we will need to use a separate exe (NSIS?) as IE does to provide this.</Description></bugID>